Skip to content
Start here

Pay Invoice

client.accounts.payInvoice.create(PayInvoiceCreateParams { account_id, invoice_id, payment_method_id, validate_payment_method } params, RequestOptionsoptions?): PayInvoiceCreateResponse { client_secret }
POST/accounts/{account_id}/pay-invoice

Pays an outstanding invoice for an account. Returns a Stripe client secret when Strong Customer Authentication (SCA) is required to complete the payment.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Billing Write
ParametersExpand Collapse
params: PayInvoiceCreateParams { account_id, invoice_id, payment_method_id, validate_payment_method }
account_id: string

Path param: Identifier

maxLength32
invoice_id?: string

Body param: The identifier of the invoice to pay.

payment_method_id?: string

Body param: The payment method to use. If omitted, the default payment method is used.

validate_payment_method?: boolean

Body param: Whether to validate the payment method before processing.

ReturnsExpand Collapse
PayInvoiceCreateResponse { client_secret }
client_secret?: string

The Stripe client secret for frontend payment confirmation.

Pay Invoice

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const payInvoice = await client.accounts.payInvoice.create({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(payInvoice.client_secret);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "client_secret": "client_secret"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "client_secret": "client_secret"
  },
  "success": true
}